package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 任务对象 flight_tasks
 *
 * @author ruoyi
 * @date 2024-07-24
 */
public class FlightTasks extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 自增主键ID */
    private Long id;

    /** 所属飞机SN */
    @Excel(name = "所属飞机SN")
    private String sn;

    /** 是否执行 */
    @Excel(name = "是否执行")
    private Integer isExecuted;

    /** 任务状态 */
    @Excel(name = "任务状态")
    private String status;

    /** 任务ID */
    @Excel(name = "任务ID")
    private Long messionId;

    /** flightId */
    @Excel(name = "flightId")
    private String flightId;

    /** 实际回传数量 */
    @Excel(name = "实际回传数量")
    private Long realPhotoNum;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createdAt;

    /** 完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "完成时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date completeAt;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setSn(String sn)
    {
        this.sn = sn;
    }

    public String getSn()
    {
        return sn;
    }
    public void setIsExecuted(Integer isExecuted)
    {
        this.isExecuted = isExecuted;
    }

    public Integer getIsExecuted()
    {
        return isExecuted;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setMessionId(Long messionId)
    {
        this.messionId = messionId;
    }

    public Long getMessionId()
    {
        return messionId;
    }
    public void setFlightId(String flightId)
    {
        this.flightId = flightId;
    }

    public String getFlightId()
    {
        return flightId;
    }
    public void setRealPhotoNum(Long realPhotoNum)
    {
        this.realPhotoNum = realPhotoNum;
    }

    public Long getRealPhotoNum()
    {
        return realPhotoNum;
    }
    public void setCreatedAt(Date createdAt)
    {
        this.createdAt = createdAt;
    }

    public Date getCreatedAt()
    {
        return createdAt;
    }
    public void setCompleteAt(Date completeAt)
    {
        this.completeAt = completeAt;
    }

    public Date getCompleteAt()
    {
        return completeAt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sn", getSn())
            .append("isExecuted", getIsExecuted())
            .append("status", getStatus())
            .append("messionId", getMessionId())
            .append("flightId", getFlightId())
            .append("realPhotoNum", getRealPhotoNum())
            .append("createdAt", getCreatedAt())
            .append("completeAt", getCompleteAt())
            .toString();
    }
}
